export const AUDIT_STORE_NAME: "__txns__";
export const INTERNAL_DBIS_NAME: "__dbis__";
export const DBI_DEFINITION_NAME: "__dbi_defintion__";
export namespace SEARCH_TYPES {
    let EQUALS: string;
    let STARTS_WITH: string;
    let _STARTS_WITH: string;
    let ENDS_WITH: string;
    let _ENDS_WITH: string;
    let CONTAINS: string;
    let SEARCH_ALL: string;
    let SEARCH_ALL_TO_MAP: string;
    let BATCH_SEARCH_BY_HASH: string;
    let BATCH_SEARCH_BY_HASH_TO_MAP: string;
    let GREATER_THAN: string;
    let _GREATER_THAN: string;
    let GREATER_THAN_EQUAL: string;
    let _GREATER_THAN_EQUAL: string;
    let LESS_THAN: string;
    let _LESS_THAN: string;
    let LESS_THAN_EQUAL: string;
    let _LESS_THAN_EQUAL: string;
    let BETWEEN: string;
}
export const TIMESTAMP_NAMES: string[];
export const MAX_SEARCH_KEY_LENGTH: 256;
export const ENVIRONMENT_NAME_KEY: "__environment_name__";
export namespace TRANSACTIONS_DBI_NAMES_ENUM {
    let TIMESTAMP: string;
    let HASH_VALUE: string;
    let USER_NAME: string;
}
export const TRANSACTIONS_DBIS: string[];
export const OVERFLOW_MARKER: "\uFFFF";
